@echo=off

if not exist duke3d.exe goto error

:menu
cls
echo.
echo               *************************************************
echo               *                  Undead TC                    *
echo               *            ----------------------             *
echo               *       !!! ---  SPECIAL EDITION --- !!!        *
echo               *                                               *
echo               *                     v4.0                      *
echo               *                                               *
echo               *     (c) 1999-2000 RAGE Production Team        *
echo               *    (c) 1995-2000 DevilSoft Entertainment      *
echo               * Special Edition Programming by: Devon Mullane *
echo               *************************************************
echo.
echo.
echo                   (P)lay Undead: Special Edition
echo                   (B)egin the Training Mission
echo                   (S)etup Undead
echo                   (U)ninstall Undead
echo                   (Q)uit the UDSE
echo.

if exist UNDEADSE.GRP echo Undead: Special Edition - INSTALLED
if not exist UNDEADSE.GRP echo Undead: Special Edition - NOT INSTALLED
choice /c:PBSUQ

if errorlevel 5 goto exit
if errorlevel 4 goto uninstall
if errorlevel 3 goto options
if errorlevel 2 goto training
if errorlevel 1 goto begin

:clear
cls
goto menu

:error
echo.
echo Cannot locate the DUKE3D.EXE file! Check and make sure you've installed
echo to the correct directory.
echo.
goto end

:error2
echo.
echo Cannot locate the UNDEADSE.GRP main data file! The Undead SE is not
echo installed or has been improperly installed. If you did not download
echo it directly from the Undead website you may has a corrupt package.
echo Download from:
echo.
echo www.dukeworld.com/undead
echo.
goto end

:error3
echo ...
echo You don't seem to have the eDuke setup program.
echo.
echo.
echo Press 'C' to continue
echo.
choice /c:c

if errorlevel 1 goto clear

:exit
goto end



:uninstall
echo.
echo Are you sure you want to remove the UDSE and all its components ?
echo.
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto remove2

:remove2
cls
echo.
echo Uninstalling Undead: Special Edition Demo
echo [ CTRL+BREAK to stop ]
echo.

del UNDEADSE.GRP
del L1.map
del L2.map
del HOUSE.map
del L3.map
del L4.map
del L5.map
del undead.bat
del undead.cfg
del undead.con
del setech.con
del user.con
del defs.con

echo.
echo The Undead: Special Edition Demo has been uninstalled !
echo.
goto end

:training
cls
echo !!!WARNING: EXTREME DIFFICULTY!!!
echo.
echo The Undead SE Training mission is an action level in which you'll
echo be fighting against intelligent human targets. Your objective is
echo to navigate the building and make your way into the supply room.
echo.
echo See the mission plan?
echo.
choice /c:yn

if errorlevel 2 goto train2
if errorlevel 1 goto plan

:plan
echo.
echo.
echo Training Mission Layout
echo.
echo Enemies: You'll find soldiers of your squad armed with
echo          light to heavy weapons. Three typs; Pistol, Mp5 and M16.
echo.
echo Mission Parameters:
echo      1. Your first objective will be to reach the elevator on the first floor.
echo      2. Ammo won't be unlimited, salvage what you can from the soldiers.
echo      3. There are two munition depots. One is the storage room but you can
echo         find one elsewhere on the first floor.
echo      4. Upon reaching the supplies your mission will be complete.
echo.
echo Play the training mission?
echo.
choice /c:yn

if errorlevel 2 goto clear
if errorlevel 1 goto begintrain

:train2
echo.
echo.
echo Play the training mission?
echo.
choice /c:yn

if errorlevel 2 goto clear
if errorlevel 1 goto begintrain

:begintrain
echo.
echo.
echo Loading Training Data...
eDuke /gUNDEADSE.grp /xTRAINING.CON -map training.map
cls
goto menu

:options
cls
echo.
if not exist ESETMN.EXE goto error3
ESETMN.EXE
cls
goto menu

:begin
if not exist UNDEADSE.GRP goto error2
echo.
echo.
echo Thanks for playing Undead: Special Edition TC. If
echo you haven't played before, you may want to look
echo over the key bindings in the UDSE Read-Me file
echo included in the UDSE.zip.
eDuke /gUNDEADSE.grp /xUNDEAD.CON
goto end

:end
cls
echo.
echo.
echo.
echo.
echo.
echo           *************************************************************
echo           *                UNDEAD: SPECIAL EDITION                    *
echo           *                          V4.0                             *
echo           *                                                           *
echo           *            (C) 2000 RAGE PRODUCTION TEAMS                 *
echo           *           (C) 2000 DEVILSOFT ENTERTAINMENT                *
echo           *                                                           *
echo           *           E-Mail:  catinthehat3@prodigy.net               *
echo           *                                                           *
echo           *                          or                               *
echo           *                                                           *
echo           *       Website: http://www.dukeworld.com/undead            *
echo           *************************************************************
echo.
echo.


